/***************************************************************************
 *   Copyright (C) 2004 by Armando Navarro Vázquez                         *
 *   armando@rmntec                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef QUVWIDGET_H
#define QUVWIDGET_H

#include <QWidget>
#include "ui_quvwidgetbase.h"
#include "uvspectrum.h"
#include "kryomolcore_export.h"

/**
Widget containing controls for diplay of UV and ECD spectra

@author Armando Navarro Vázquez
*/
class KRYOMOLCORE_EXPORT QUVWidget : public QWidget, public UVSpectrum, private Ui::QUVWidgetBase
{
  Q_OBJECT
public:
    QUVWidget(const QString& file, QWidget* parent=0);
    ~QUVWidget();
    void InitTable();
public slots:
  void OnSetLimits(float,float);
signals:
  void showspectrum(bool);
  void data(fidarray*,float,float);
  void Type(UVSpectrum::SpectrumType);
private slots:
  void OnWriteJCampDX();
  void OnShowSpectrum();
  void OnSpectrumTypeChanged(int);
  void OnSetLineWidth(int);
  void OnChangeLimits();
  void OnResetLimits();
private:
  QUVWidget(QWidget* parent=0, const char* name=0);
private: 
  bool m_bshowspectrum;

};

#endif
